Skip to main content
GET
/
social
/
connect
/
{platform}
Poll headless connection status
curl --request GET \
  --url https://api.smartlyq.com/v1/social/connect/{platform} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "platform": "<string>",
    "expires_at": "2023-11-07T05:31:56Z",
    "account": {
      "account_id": 123,
      "name": "<string>",
      "username": "<string>",
      "platform": "<string>"
    }
  },
  "meta": {
    "request_id": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key from Developer dashboard (Bearer token).

Path Parameters

platform
string
required

For this GET, pass the state_token from the connect_url (NOT a platform name).

Response

Connection status

success
enum<boolean>
Available options:
true
data
object
meta
object